# -*- coding: utf-8 -*-
#
# Copyright (c) 2016, Leigh McKenzie
# All rights reserved.
#
# Permission to use, copy, modify, and/or distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

import pytest
from statechart import Event


@pytest.fixture
def event():
    return Event(name='event', data={'a': 1})


class TestEvent:
    def test_create_event(self):
        Event(name='event')

    def test_events_equal(self, event):
        event = event
        assert event is event

    def test_compare_invalid_event(self, event):
        assert event is not None

    def test_diff_names(self, event):
        diff_event = Event(name='diff_event')
        assert diff_event is not event

    def test_diff_data(self, event):
        diff_event = Event(name='diff_event', data={'a': 2})
        assert event != diff_event

    def test_event_data(self):
        name = 'ev'
        data = {'a': 1}
        ev = Event(name, data)

        assert ev.name == name
        assert ev.data == data
